include \masm32\include\masm32rt.inc

WndProc PROTO :DWORD,:DWORD,:DWORD,:DWORD

.data?
hInstance	dd ?
hStatic	dd ?

.code
start:
        invoke GetModuleHandle, NULL
        invoke DialogBoxParam, eax, chr$("TestWin"), 0, ADDR WndProc, 0	; Call the dialog box stored in resource file
        invoke ExitProcess,eax

WndProc proc hWin, uMsg, wParam, lParam
	.if uMsg == WM_INITDIALOG
		invoke SendMessage, hWin, WM_SETTEXT, 0, chr$("Demo dialog box")
		mov hInstance, rv(GetModuleHandle, 0)
		invoke CreateWindowEx, NULL, chr$("static"), 0,
			WS_CHILD or WS_VISIBLE or SS_NOTIFY,
			290, 20, 111, 20,
			hWin, 123, hInstance, NULL
		mov hStatic, eax
		invoke CreateFont, -14, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0
		invoke SendMessage, hStatic, WM_SETFONT, eax, 1
		invoke SetClassLong, hStatic, GCL_HCURSOR, rv(LoadCursor, 0, IDC_HAND)
		invoke SendMessage, hStatic, WM_SETTEXT, 0, chr$("Click me, please!")

	.elseif uMsg == WM_COMMAND
		mov eax, lParam
		.if eax==hStatic
			invoke ShellExecute, 0, 0, chr$("mailto:hutch@movsd.com?Subject=Happy%20Birthday&Body=Dear%20Hutch%2c%0d%0a62%20only%3F"), 0, 0, SW_SHOWDEFAULT
		.endif
	.elseif uMsg == WM_CLOSE
		invoke EndDialog, hWin, 0
	.elseif uMsg == WM_CTLCOLORSTATIC
		mov eax, lParam
		.if eax==hStatic
			invoke SetTextColor, wParam, 0FF0000h    ; BGR
			invoke SetBkMode, wParam, TRANSPARENT
			invoke GetSysColorBrush, COLOR_BTNFACE
			ret
		.endif
	.endif
	xor eax, eax
	ret
WndProc endp
end start
